Groovy 1.7.0

## groovy.time
Class TimeCategory

    java.lang.Object
      groovy.time.TimeCategory

    class TimeCategory
    extends Object

Apply a number of methods to allow convenient Date/Time manipulation,such as:

     use ( TimeCategory ) {
     	// application on numbers:
     	println 1.minute.from.now
     	println 10.hours.ago

     	// application on dates
     	def someDate = new Date()
     	println someDate - 3.months
     }

see:
  BaseDuration

Constructor Summary
`TimeCategory()`

Method Summary
`static Duration` | `getDay(Integer self)`
`static Duration` | `getDaylightSavingsOffset(Date self)` Get the DST offset (if any) for the default locale and the given date.
`static Duration` | `getDaylightSavingsOffset(BaseDuration self)`
`static Duration` | `getDays(Integer self)`
`static TimeDuration` | `getHour(Integer self)`
`static TimeDuration` | `getHours(Integer self)`
`static TimeDuration` | `getMillisecond(Integer self)`
`static TimeDuration` | `getMilliseconds(Integer self)`
`static TimeDuration` | `getMinute(Integer self)`
`static TimeDuration` | `getMinutes(Integer self)`
`static DatumDependentDuration` | `getMonth(Integer self)`
`static DatumDependentDuration` | `getMonths(Integer self)`
`static Duration` | `getRelativeDaylightSavingsOffset(Date self, Date other)` Return a Duration representing the DST difference (if any) between two dates.
`static TimeDuration` | `getSecond(Integer self)`
`static TimeDuration` | `getSeconds(Integer self)`
`static TimeZone` | `getTimeZone(Date self)` Retrieves the default TimeZone for a date by using the default Locale settings.
`static Duration` | `getWeek(Integer self)`
`static Duration` | `getWeeks(Integer self)`
`static DatumDependentDuration` | `getYear(Integer self)`
`static DatumDependentDuration` | `getYears(Integer self)`
`static Date` | `minus(Date date, BaseDuration duration)`
`static TimeDuration` | `minus(Date lhs, Date rhs)` Subtract one date from the other.
`static Date` | `plus(Date date, BaseDuration duration)`

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### TimeCategory

    TimeCategory()

Method Detail

### getDay

    public static Duration getDay(Integer self)

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(Date self)

  Get the DST offset (if any) for the default locale and the given date.
  param:
    self
  return:
    the DST offset as a Duration.

### getDaylightSavingsOffset

    public static Duration getDaylightSavingsOffset(BaseDuration self)

### getDays

    public static Duration getDays(Integer self)

### getHour

    public static TimeDuration getHour(Integer self)

### getHours

    public static TimeDuration getHours(Integer self)

### getMillisecond

    public static TimeDuration getMillisecond(Integer self)

### getMilliseconds

    public static TimeDuration getMilliseconds(Integer self)

### getMinute

    public static TimeDuration getMinute(Integer self)

### getMinutes

    public static TimeDuration getMinutes(Integer self)

### getMonth

    public static DatumDependentDuration getMonth(Integer self)

### getMonths

    public static DatumDependentDuration getMonths(Integer self)

### getRelativeDaylightSavingsOffset

    public static Duration getRelativeDaylightSavingsOffset(Date self, Date other)

  Return a Duration representing the DST difference (if any) between two dates. i.e. if one date is before the DST changeover, and the other date is after, the resulting duration will represent the DST offset.
  param:
    self
  param:
    other
  return:

### getSecond

    public static TimeDuration getSecond(Integer self)

### getSeconds

    public static TimeDuration getSeconds(Integer self)

### getTimeZone

    public static TimeZone getTimeZone(Date self)

  Retrieves the default TimeZone for a date by using the default Locale settings.
  param:
    self
  return:

### getWeek

    public static Duration getWeek(Integer self)

### getWeeks

    public static Duration getWeeks(Integer self)

### getYear

    public static DatumDependentDuration getYear(Integer self)

### getYears

    public static DatumDependentDuration getYears(Integer self)

### minus

    public static Date minus(Date date, BaseDuration duration)

### minus

    public static TimeDuration minus(Date lhs, Date rhs)

  Subtract one date from the other.
  param:
    lhs
  param:
    rhs
  return:

### plus

    public static Date plus(Date date, BaseDuration duration)

Copyright © 2003-2009 The Codehaus. All rights reserved.